# Spring boot application
spring.application.name = dubbo-provider-demo
server.port = 9090


# DemoService service version
demo.service.version = 1.0.0

# Base packages to scan Dubbo Component: @com.alibaba.dubbo.config.annotation.Service
dubbo.scan.basePackages = com.sunhf.transaction.service.impl


# Dubbo Config properties
## ApplicationConfig Bean
dubbo.application.id = dubbo-provider-demo
dubbo.application.name = dubbo-provider-demo
dubbo.application.qos.port=22222
dubbo.application.qos.enable=true

## ProtocolConfig Bean
dubbo.protocol.id = dubbo
dubbo.protocol.name = dubbo
dubbo.protocol.port = 12345
dubbo.protocol.status = server
dubbo.registry.timeout=1000
dubbo.consumer.timeout=1000
#dubbo.provider.accepts=20
#dubbo.consumer.actives=5
dubbo.provider.executes=5

## RegistryConfig Bean
dubbo.registry.id = my-registry
dubbo.registry.address = zookeeper://192.168.2.228:2181

# Enables Dubbo All Endpoints
management.endpoint.dubbo.enabled = true
management.endpoint.dubbo-shutdown.enabled = true
management.endpoint.dubbo-configs.enabled = true
management.endpoint.dubbo-services.enabled = true
management.endpoint.dubbo-references.enabled = true
management.endpoint.dubbo-properties.enabled = true

# Dubbo Health
## StatusChecker Name defaults (default : "memory", "load" )
management.health.dubbo.status.defaults = memory
## StatusChecker Name extras (default : empty )
management.health.dubbo.status.extras = load,threadpool


spring.rocketmq.default-group=DefaultGroup
spring.rocketmq.namesrv-addr=192.168.2.56:9876;192.168.2.58:9876

spring.datasource.driverClassName=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc\:mysql\://192.168.2.50:3306/mall-center?useUnicode\=true&characterEncoding\=utf-8&autoReconnect\=true
spring.datasource.username=writeuser
spring.datasource.password=TestNV7786!
